Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDITEMEBIRTHvalues

    java.lang.Object
      java.lang.Enum<CDITEMEBIRTHvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDITEMEBIRTHvalues

All Implemented Interfaces:
  Serializable, Comparable<CDITEMEBIRTHvalues>

    public enum CDITEMEBIRTHvalues

extends Enum<CDITEMEBIRTHvalues>

Java class for CD-ITEM-EBIRTHvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ITEM-EBIRTHvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="multiparity"/>
         <enumeration value="samesex"/>
         <enumeration value="stillborn"/>
         <enumeration value="birthplace"/>
         <enumeration value="birthrank"/>
         <enumeration value="partusnumber"/>
         <enumeration value="beforepregnancyweight"/>
         <enumeration value="atdeliveryweight"/>
         <enumeration value="height"/>
         <enumeration value="previouschildbirth"/>
         <enumeration value="previousbornalive"/>
         <enumeration value="lastbabybirthdate"/>
         <enumeration value="intermediatestillborndelivery"/>
         <enumeration value="previouscaesarean"/>
         <enumeration value="parity"/>
         <enumeration value="pregnancyorigin"/>
         <enumeration value="hypertensiondiagnose"/>
         <enumeration value="diabetesdiagnose"/>
         <enumeration value="HIVdiagnose"/>
         <enumeration value="pregnancyduration"/>
         <enumeration value="childposition"/>
         <enumeration value="inductiondelivery"/>
         <enumeration value="epiduralanalgesia"/>
         <enumeration value="rachianalagesia"/>
         <enumeration value="foetalmonitoring"/>
         <enumeration value="streptococcusbcolonization"/>
         <enumeration value="intrapartalsbgprophylaxis"/>
         <enumeration value="deliveryway"/>
         <enumeration value="episiotomy"/>
         <enumeration value="caesareanindication"/>
         <enumeration value="breastfeeding"/>
         <enumeration value="atbirthweight"/>
         <enumeration value="apgarscore1"/>
         <enumeration value="apgarscore5"/>
         <enumeration value="artificialrespiration"/>
         <enumeration value="neonataldept"/>
         <enumeration value="congenitalmalformation"/>
         <enumeration value="othermedicalrisk"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`APGARSCORE_1`
`APGARSCORE_5`
`ARTIFICIALRESPIRATION`
`ATBIRTHWEIGHT`
`ATDELIVERYWEIGHT`
`BEFOREPREGNANCYWEIGHT`
`BIRTHPLACE`
`BIRTHRANK`
`BREASTFEEDING`
`CAESAREANINDICATION`
`CHILDPOSITION`
`CONGENITALMALFORMATION`
`DELIVERYWAY`
`DIABETESDIAGNOSE`
`EPIDURALANALGESIA`
`EPISIOTOMY`
`FOETALMONITORING`
`HEIGHT`
`HI_VDIAGNOSE`
`HYPERTENSIONDIAGNOSE`
`INDUCTIONDELIVERY`
`INTERMEDIATESTILLBORNDELIVERY`
`INTRAPARTALSBGPROPHYLAXIS`
`LASTBABYBIRTHDATE`
`MULTIPARITY`
`NEONATALDEPT`
`OTHERMEDICALRISK`
`PARITY`
`PARTUSNUMBER`
`PREGNANCYDURATION`
`PREGNANCYORIGIN`
`PREVIOUSBORNALIVE`
`PREVIOUSCAESAREAN`
`PREVIOUSCHILDBIRTH`
`RACHIANALAGESIA`
`SAMESEX`
`STILLBORN`
`STREPTOCOCCUSBCOLONIZATION`

Method Summary
`static CDITEMEBIRTHvalues` | `fromValue(String v)`
`String` | `value()`
`static CDITEMEBIRTHvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDITEMEBIRTHvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MULTIPARITY

    public static final CDITEMEBIRTHvalues MULTIPARITY

### SAMESEX

    public static final CDITEMEBIRTHvalues SAMESEX

### STILLBORN

    public static final CDITEMEBIRTHvalues STILLBORN

### BIRTHPLACE

    public static final CDITEMEBIRTHvalues BIRTHPLACE

### BIRTHRANK

    public static final CDITEMEBIRTHvalues BIRTHRANK

### PARTUSNUMBER

    public static final CDITEMEBIRTHvalues PARTUSNUMBER

### BEFOREPREGNANCYWEIGHT

    public static final CDITEMEBIRTHvalues BEFOREPREGNANCYWEIGHT

### ATDELIVERYWEIGHT

    public static final CDITEMEBIRTHvalues ATDELIVERYWEIGHT

### HEIGHT

    public static final CDITEMEBIRTHvalues HEIGHT

### PREVIOUSCHILDBIRTH

    public static final CDITEMEBIRTHvalues PREVIOUSCHILDBIRTH

### PREVIOUSBORNALIVE

    public static final CDITEMEBIRTHvalues PREVIOUSBORNALIVE

### LASTBABYBIRTHDATE

    public static final CDITEMEBIRTHvalues LASTBABYBIRTHDATE

### INTERMEDIATESTILLBORNDELIVERY

    public static final CDITEMEBIRTHvalues INTERMEDIATESTILLBORNDELIVERY

### PREVIOUSCAESAREAN

    public static final CDITEMEBIRTHvalues PREVIOUSCAESAREAN

### PARITY

    public static final CDITEMEBIRTHvalues PARITY

### PREGNANCYORIGIN

    public static final CDITEMEBIRTHvalues PREGNANCYORIGIN

### HYPERTENSIONDIAGNOSE

    public static final CDITEMEBIRTHvalues HYPERTENSIONDIAGNOSE

### DIABETESDIAGNOSE

    public static final CDITEMEBIRTHvalues DIABETESDIAGNOSE

### HI_VDIAGNOSE

    public static final CDITEMEBIRTHvalues HI_VDIAGNOSE

### PREGNANCYDURATION

    public static final CDITEMEBIRTHvalues PREGNANCYDURATION

### CHILDPOSITION

    public static final CDITEMEBIRTHvalues CHILDPOSITION

### INDUCTIONDELIVERY

    public static final CDITEMEBIRTHvalues INDUCTIONDELIVERY

### EPIDURALANALGESIA

    public static final CDITEMEBIRTHvalues EPIDURALANALGESIA

### RACHIANALAGESIA

    public static final CDITEMEBIRTHvalues RACHIANALAGESIA

### FOETALMONITORING

    public static final CDITEMEBIRTHvalues FOETALMONITORING

### STREPTOCOCCUSBCOLONIZATION

    public static final CDITEMEBIRTHvalues STREPTOCOCCUSBCOLONIZATION

### INTRAPARTALSBGPROPHYLAXIS

    public static final CDITEMEBIRTHvalues INTRAPARTALSBGPROPHYLAXIS

### DELIVERYWAY

    public static final CDITEMEBIRTHvalues DELIVERYWAY

### EPISIOTOMY

    public static final CDITEMEBIRTHvalues EPISIOTOMY

### CAESAREANINDICATION

    public static final CDITEMEBIRTHvalues CAESAREANINDICATION

### BREASTFEEDING

    public static final CDITEMEBIRTHvalues BREASTFEEDING

### ATBIRTHWEIGHT

    public static final CDITEMEBIRTHvalues ATBIRTHWEIGHT

### APGARSCORE_1

    public static final CDITEMEBIRTHvalues APGARSCORE_1

### APGARSCORE_5

    public static final CDITEMEBIRTHvalues APGARSCORE_5

### ARTIFICIALRESPIRATION

    public static final CDITEMEBIRTHvalues ARTIFICIALRESPIRATION

### NEONATALDEPT

    public static final CDITEMEBIRTHvalues NEONATALDEPT

### CONGENITALMALFORMATION

    public static final CDITEMEBIRTHvalues CONGENITALMALFORMATION

### OTHERMEDICALRISK

    public static final CDITEMEBIRTHvalues OTHERMEDICALRISK

Method Detail

### values

    public static CDITEMEBIRTHvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDITEMEBIRTHvalues c : CDITEMEBIRTHvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDITEMEBIRTHvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDITEMEBIRTHvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.18.0 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.